public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/mgorny:master commit in: sys-devel/gcc/
Date: Thu,  4 Dec 2014 13:58:44 +0000 (UTC)	[thread overview]
Message-ID: <1417603450.3383cdddf094227a9f5669c42929a3cde5f1e106.mgorny@gentoo> (raw)

commit:     3383cdddf094227a9f5669c42929a3cde5f1e106
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  3 09:54:57 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec  3 10:44:10 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=3383cddd

sys-devel/gcc: clean up install, move gdb files to auto-load

Package-Manager: portage-2.2.14

---
 sys-devel/gcc/gcc-4.9.2-r100.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/sys-devel/gcc/gcc-4.9.2-r100.ebuild b/sys-devel/gcc/gcc-4.9.2-r100.ebuild
index d0b386f..c61809d 100644
--- a/sys-devel/gcc/gcc-4.9.2-r100.ebuild
+++ b/sys-devel/gcc/gcc-4.9.2-r100.ebuild
@@ -557,12 +557,25 @@ src_install() {
 
 	# Punt some tools which are really only useful while building gcc
 	find "${D}" -name install-tools -prune -type d -exec rm -r {} + || die
+	# Some random 'dir' file?
+	rm "${D}${DATAPATH}"/info/dir || die
 
 	create_gcc_symlinks
 	strip_gcc_executables
 
+	# move *-gdb.py into /usr/share/gdb/auto-load tree
+	if use cxx; then
+		local py gdbdir=${D}usr/share/gdb/auto-load
+		while read -r -d '' py; do
+			mkdir -p "${gdbdir}/${py%/*}" || die
+			mv "${D}${py}" "${gdbdir}/${py%/*}"/ || die
+		done < <(cd "${D}" && find -name '*-gdb.py' -print0)
+	fi
+
 	if use cxx && use doc; then
 		cd "${WORKDIR}/build/${CTARGET}/libstdc++-v3/doc/doxygen/man" || die
+		# clean up some random files with build-dir paths
+		rm -f man*/*"${P}"*
 		cp -r man* "${D}${DATAPATH}"/man/ || die
 	fi
 


             reply	other threads:[~2014-12-04 13:58 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-12-04 13:58 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-04-12 14:00 [gentoo-commits] dev/mgorny:master commit in: sys-devel/gcc/ Michał Górny
2014-12-09 13:43 Michał Górny
2014-12-06  9:25 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny
2014-12-04 13:58 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1417603450.3383cdddf094227a9f5669c42929a3cde5f1e106.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox